<?xml version="1.0" encoding="utf-8"?>
<FrameLayout android:id="@id/widgetLayout" android:descendantFocusability="beforeDescendants" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <RelativeLayout android:layout_gravity="center_vertical" android:id="@id/rl_widget_content" android:background="@android:color/white" android:layout_width="fill_parent" android:layout_height="75.0dip">
        <RelativeLayout android:id="@id/rl_widget_city" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="15.0dip" android:layout_marginTop="6.0dip">
            <ImageView android:id="@id/iv_city_icon" android:layout_width="10.0dip" android:layout_height="12.0dip" android:src="@drawable/widget_local_icon_black" android:layout_centerVertical="true" />
            <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:gravity="center_vertical" android:id="@id/tv_city_name" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_city_icon" android:layout_centerVertical="true" />
        </RelativeLayout>
        <RelativeLayout android:id="@id/rl_widget_update" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="6.0dip" android:layout_marginRight="12.0dip" android:layout_alignParentRight="true">
            <TextView android:textSize="12.0dip" android:textColor="#80666666" android:gravity="center_vertical" android:id="@id/tv_update_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:includeFontPadding="false" android:layout_centerVertical="true" />
            <RelativeLayout android:id="@id/rl_refersh" android:layout_width="12.0dip" android:layout_height="12.0dip" android:layout_marginLeft="5.0dip" android:layout_toRightOf="@id/tv_update_time" android:layout_centerVertical="true" />
        </RelativeLayout>
        <ImageView android:id="@id/iv_weather_icon" android:layout_width="40.0dip" android:layout_height="40.0dip" android:layout_marginLeft="15.0dip" android:layout_marginTop="4.0dip" android:scaleType="fitXY" android:layout_below="@id/rl_widget_city" />
        <TextView android:textSize="32.0dip" android:textColor="#ff666666" android:gravity="center" android:id="@id/tv_temp" android:layout_width="wrap_content" android:layout_height="40.0dip" android:layout_marginLeft="10.0dip" android:layout_marginTop="4.0dip" android:includeFontPadding="true" android:layout_toRightOf="@id/iv_weather_icon" android:layout_below="@id/rl_widget_city" />
        <LinearLayout android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="18.0dip" android:layout_marginRight="5.0dip" android:layout_marginBottom="2.0dip" android:baselineAligned="false" android:layout_toLeftOf="@id/rl_widget_update" android:layout_toRightOf="@id/tv_temp" android:layout_alignParentBottom="true">
            <RelativeLayout android:gravity="left" android:id="@id/rl_weather_first" android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_marginBottom="4.0dip" android:layout_weight="1.0">
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:id="@id/tv_first_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/tomorrow" android:includeFontPadding="false" android:layout_centerHorizontal="true" />
                <ImageView android:id="@id/iv_first_icon" android:layout_width="20.0dip" android:layout_height="20.0dip" android:scaleType="fitXY" android:layout_below="@id/tv_first_time" android:layout_centerHorizontal="true" />
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:ellipsize="end" android:id="@id/tv_first_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/widget_forecast_temp" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_below="@id/iv_first_icon" android:layout_centerHorizontal="true" />
            </RelativeLayout>
            <RelativeLayout android:gravity="center_horizontal" android:id="@id/rl_weather_second" android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_marginBottom="4.0dip" android:layout_weight="1.0" android:layout_alignParentBottom="true">
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:id="@id/tv_second_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/time" android:includeFontPadding="false" android:layout_centerHorizontal="true" />
                <ImageView android:id="@id/iv_second_icon" android:layout_width="20.0dip" android:layout_height="20.0dip" android:scaleType="fitXY" android:layout_below="@id/tv_second_time" android:layout_centerHorizontal="true" />
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:ellipsize="end" android:id="@id/tv_second_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/widget_forecast_temp" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_below="@id/iv_second_icon" android:layout_centerHorizontal="true" />
            </RelativeLayout>
            <RelativeLayout android:gravity="right" android:id="@id/rl_weather_third" android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_marginBottom="4.0dip" android:layout_weight="1.0" android:layout_alignParentBottom="true">
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:id="@id/tv_third_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/time" android:includeFontPadding="false" android:layout_centerHorizontal="true" />
                <ImageView android:id="@id/iv_third_icon" android:layout_width="20.0dip" android:layout_height="20.0dip" android:scaleType="fitXY" android:layout_below="@id/tv_third_time" android:layout_centerHorizontal="true" />
                <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:ellipsize="end" android:id="@id/tv_third_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/widget_forecast_temp" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_below="@id/iv_third_icon" android:layout_centerHorizontal="true" />
            </RelativeLayout>
        </LinearLayout>
        <include android:id="@id/il_first_white_5x1" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="75.0dip" layout="@layout/widget4x1_view_first_white" />
    </RelativeLayout>
</FrameLayout>